searchNodes=[{"doc":"LiveMap A Phoenix LiveView Component for displaying an interactive map with dynamic data. By rendering the map on the server, it avoids the client-side map libraries for simple mapping needs. Utilizing LiveView, we can also update map data on the server, and let the browser do what it does best—rendering markup. The map is rendered as an SVG, in which each tiles are rendered as &lt;image&gt; , using tiles from OpenStreetMap's tile server by default. All the transforms are natively handled by the browser for SVG. Please consult and follow usage policies of the tile servers. Usage A LiveMap can be added to a LiveView by: &lt; . live_component module = { LiveMap } id = &quot;live-map&quot; width = { 800 } height = { 600 } latitude = { 10.4197639 } longitude = { 107.1070841 } zoom = { 11 } &gt; &lt; / . live_component &gt; Checkout examples for a Phoenix application demonstrating LiveMap usage. Installation If available in Hex , the package can be installed by adding live_map to your list of dependencies in mix.exs : def deps do [ { :live_map , &quot;~&gt; 0.0.1&quot; } ] end Documentation is generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/live_map .","ref":"LiveMap.html","title":"LiveMap","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.render/1 .","ref":"LiveMap.html#render/1","title":"LiveMap.render/1","type":"function"},{"doc":"See LiveMap.Tile.map/5 .","ref":"LiveMap.html#tiles/5","title":"LiveMap.tiles/5","type":"function"},{"doc":"See LiveMap.Tile.map/6 .","ref":"LiveMap.html#tiles/6","title":"LiveMap.tiles/6","type":"function"},{"doc":"Returns the viewbox that covers the tiles. This essentially starts from the top left tile, and ends at the bottom right tile. Examples: iex&gt; LiveMap . viewbox ( [ ] ) &quot;0 0 0 0&quot; iex&gt; LiveMap . viewbox ( [ %{ x : 0 , y : 0 } ] ) &quot;0 0 1 1&quot; iex&gt; LiveMap . viewbox ( [ ...&gt; %{ x : 0 , y : 0 } , ...&gt; %{ x : 0 , y : 1 } , ...&gt; %{ x : 1 , y : 0 } , ...&gt; %{ x : 1 , y : 1 } ...&gt; ] ) &quot;0 0 2 2&quot;","ref":"LiveMap.html#viewbox/1","title":"LiveMap.viewbox/1","type":"function"},{"doc":"This module contains functions to manipulate map tiles.","ref":"LiveMap.Tile.html","title":"LiveMap.Tile","type":"module"},{"doc":"Retrieves a tile at certain coordinates and zoom level. Based on https://wiki.openstreetmap.org/wiki/Slippy_map_tilenames. Examples: iex&gt; tile = LiveMap.Tile . at ( 0 , 0 , 0 ) iex&gt; tile . x 0 iex&gt; tile . y 0 iex&gt; tile = LiveMap.Tile . at ( 360 , 170.1022 , 0 ) iex&gt; tile . x 0 iex&gt; tile . y 0 iex&gt; tile = LiveMap.Tile . at ( 47.47607 , 7.56198 , 16 ) iex&gt; tile . x 34144 iex&gt; tile . y 22923","ref":"LiveMap.Tile.html#at/3","title":"LiveMap.Tile.at/3","type":"function"},{"doc":"Maps tiles around a center tile that covers a rectangle box. Note that by default, the resulting tiles do not have latitude and longitude coordinates. If such values are desired, use the last parameter to provide a custom mapper function to also load the coordinates. Examples: # At zoom 0, the whole world is rendered in 1 tile. iex&gt; center = LiveMap.Tile . at ( 0 , 0 , 0 ) iex&gt; [ center ] == LiveMap.Tile . map ( center , 256 , 256 ) true # At zoom 1, 4 tiles are used on a 512x512 map. iex&gt; center = LiveMap.Tile . at ( 0 , 0 , 1 ) iex&gt; tiles = LiveMap.Tile . map ( center , 512 , 512 ) iex&gt; Enum . map ( tiles , fn %{ x : x , y : y } -&gt; { x , y } end ) [ { 0 , 0 } , { 0 , 1 } , { 1 , 0 } , { 1 , 1 } ] # Can also pass a mapper function to transform the tiles. iex&gt; center = LiveMap.Tile . at ( 0 , 0 , 1 ) iex&gt; LiveMap.Tile . map ( center , 512 , 512 , fn %{ x : x , y : y } -&gt; { x , y } end ) [ { 0 , 0 } , { 0 , 1 } , { 1 , 0 } , { 1 , 1 } ]","ref":"LiveMap.Tile.html#map/4","title":"LiveMap.Tile.map/4","type":"function"},{"doc":"Maps tiles around a center coordinates and zoom that covers a rectangle box. The coordinates and zoom are used to generate a Tile and pass to map/4 . Examples: iex&gt; [ center ] = LiveMap.Tile . map ( 0 , 0 , 0 , 256 , 256 ) iex&gt; center . x 0 iex&gt; center . y 0","ref":"LiveMap.Tile.html#map/6","title":"LiveMap.Tile.map/6","type":"function"},{"doc":"Converts a longitude at certain zoom to tile x number Notes that the return value is not rounded. If used with slippy map, round it down to the nearest integer. Examples: iex&gt; floor ( Tile . x ( 0 , 0 ) ) 0 iex&gt; floor ( Tile . x ( 170.1022 , 0 ) ) 0 iex&gt; floor ( Tile . x ( 7.56198 , 16 ) ) 34144","ref":"LiveMap.Tile.html#x/2","title":"LiveMap.Tile.x/2","type":"function"},{"doc":"Convers a latitude at certain zoom to tile y number Notes that the return value is not rounded. If used with slippy map, round it down to the nearest integer. Examples: iex&gt; floor ( Tile . y ( 0 , 0 ) ) 0 iex&gt; floor ( Tile . y ( 360 , 0 ) ) 0 iex&gt; floor ( Tile . y ( 47.47607 , 16 ) ) 22923","ref":"LiveMap.Tile.html#y/2","title":"LiveMap.Tile.y/2","type":"function"},{"doc":"","ref":"LiveMap.Tile.html#t:latitude/0","title":"LiveMap.Tile.latitude/0","type":"type"},{"doc":"","ref":"LiveMap.Tile.html#t:longitude/0","title":"LiveMap.Tile.longitude/0","type":"type"},{"doc":"","ref":"LiveMap.Tile.html#t:t/0","title":"LiveMap.Tile.t/0","type":"type"},{"doc":"","ref":"LiveMap.Tile.html#t:x/0","title":"LiveMap.Tile.x/0","type":"type"},{"doc":"","ref":"LiveMap.Tile.html#t:y/0","title":"LiveMap.Tile.y/0","type":"type"},{"doc":"","ref":"LiveMap.Tile.html#t:zoom/0","title":"LiveMap.Tile.zoom/0","type":"type"},{"doc":"A Phoenix LiveView Component for displaying an interactive map with dynamic data. By rendering the map on the server, it avoids the client-side map libraries for simple mapping needs. Utilizing LiveView, we can also update map data on the server, and let the browser do what it does best—rendering markup. The map is rendered as an SVG, in which each tiles are rendered as &lt;image&gt; , using tiles from OpenStreetMap's tile server by default. All the transforms are natively handled by the browser for SVG. Please consult and follow usage policies of the tile servers.","ref":"readme.html","title":"LiveMap","type":"extras"},{"doc":"A LiveMap can be added to a LiveView by: &lt; . live_component module = { LiveMap } id = &quot;live-map&quot; width = { 800 } height = { 600 } latitude = { 10.4197639 } longitude = { 107.1070841 } zoom = { 11 } &gt; &lt; / . live_component &gt; Checkout examples for a Phoenix application demonstrating LiveMap usage.","ref":"readme.html#usage","title":"LiveMap - Usage","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding live_map to your list of dependencies in mix.exs : def deps do [ { :live_map , &quot;~&gt; 0.0.1&quot; } ] end Documentation is generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/live_map .","ref":"readme.html#installation","title":"LiveMap - Installation","type":"extras"}]